読者です 読者をやめる 読者になる 読者になる

node 0.6対応

0.6がリリースされたんでリリースしてるモジュールを対応させた。chain-tinyは大丈夫だったけどconfyとdata-sectionがテストこけてたので修正した。

https://github.com/hokaccha/node-confy/commit/2bb4efab77c87ffd6c395c77d00b7890542d0630
process.ENVは使えなくなったのでprocess.envに。というか今まで両方使えてたの知らなくて混在してた。

https://github.com/hokaccha/node-confy/commit/5c7db71915543af7db71e47773e7a56caf229502
これに関してはhide_o_55さんのエントリーにあるとおり。
http://d.hatena.ne.jp/hide_o_55/20111025/1319541282

https://github.com/hokaccha/node-data-section/commit/89f4235791c1db8185365d0821256ae52c605d89
data-sectionのこれは普通に正規表現が間違っててsyntax errorなのに0.4で動いてのが不思議。

広告を非表示にする